EC_INTERACT_SET_HELP(3)

NAME
ec_interact_set_help - Set help on a grammar node.

SYNOPSIS
#include <ecoli/interact.h>

int ec_interact_set_help(
    struct ec_node   *node,  /* The ec_node on which to add the help attribute. */
    const char       *help   /* The help string. */
);

DESCRIPTION

Set the node attribute EC_INTERACT_HELP_ATTR on the node, containing the given string. It is used by the ec_interact functions to display contextual helps on completion or parsing error.

RETURN VALUE

0 on success, or -1 on error.

SEE ALSO

ec_interact_get_completions(3), ec_interact_print_helps(3), ec_interact_print_error_helps(3), ec_interact_print_cols(3), ec_interact_append_chars(3), ec_interact_set_desc(3), ec_interact_get_callback(3), ec_interact_set_callback(3), ec_interact_get_error_helps(3), ec_interact_free_completions(3), ec_interact_get_helps(3), ec_interact_free_helps(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.